Copy data from PHP array into table

- « PDO_PGSQL DSN

- PDO::pgsqlCopyFromFile »

- PHP Manual
- PostgreSQL (PDO)
- Copy data from PHP array into table

# PDO::pgsqlCopyFromArray

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

PDO::pgsqlCopyFromArray — Copy data from PHP array into table

### Description

public PDO::pgsqlCopyFromArray(
string `$table_name`,
array `$rows`,
string `$delimiter` = "\t",
string `$null_as` = "\\\\N",
string `$fields` = ?
): bool

Copies data from `rows` array to table `table_name` using `delimiter` as fields delimiter and `fields` list

### Parameters

`table_name`

  String containing table name

`rows`

  Array of strings with fields separated by `delimiter`

`delimiter`

  Delimiter used in `rows` array

`null_as`

  How to interpret null values

`fields`

  List of fields to insert

### Return Values

Returns `true` on success, or `false` on failure.